Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.plugin
Class ProjectPluginAdapter

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractPlugin
          edu.stanford.smi.protege.plugin.AbstractProjectPlugin
              edu.stanford.smi.protege.plugin.ProjectPluginAdapter

All Implemented Interfaces:
  Plugin, ProjectPlugin, Disposable

Direct Known Subclasses:
  CodeGeneratorProjectPlugin

    public class ProjectPluginAdapter

extends AbstractProjectPlugin

Author:
  Ray Fergerson

Constructor Summary
`ProjectPluginAdapter()`

Method Summary
`void` | `afterCreate(Project p)` Called after a new project is created but before it is displayed
`void` | `afterLoad(Project p)` Called after an existing project is loaded but before it is displayed
`void` | `afterSave(Project p)` Called after a project has been saved.
`void` | `afterShow(ProjectView view, ProjectToolBar toolBar, ProjectMenuBar menuBar)` Called after the view has been added to the screen
`void` | `beforeClose(Project p)` Called before the close operation for a project
`void` | `beforeHide(ProjectView view, ProjectToolBar toolBar, ProjectMenuBar menuBar)` Call before the view has been removed from the screen
`void` | `beforeSave(Project p)` Called before a save operation for a project

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractPlugin
`dispose, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Constructor Detail

### ProjectPluginAdapter

    public ProjectPluginAdapter()

Method Detail

### afterCreate

    public void afterCreate(Project p)

  Description copied from interface: `ProjectPlugin`
  Called after a new project is created but before it is displayed

### afterLoad

    public void afterLoad(Project p)

  Description copied from interface: `ProjectPlugin`
  Called after an existing project is loaded but before it is displayed

### afterSave

    public void afterSave(Project p)

  Description copied from interface: `ProjectPlugin`
  Called after a project has been saved.

### afterShow

    public void afterShow(ProjectView view,
                          ProjectToolBar toolBar,
                          ProjectMenuBar menuBar)

  Description copied from interface: `ProjectPlugin`
  Called after the view has been added to the screen

### beforeSave

    public void beforeSave(Project p)

  Description copied from interface: `ProjectPlugin`
  Called before a save operation for a project

### beforeHide

    public void beforeHide(ProjectView view,
                           ProjectToolBar toolBar,
                           ProjectMenuBar menuBar)

  Description copied from interface: `ProjectPlugin`
  Call before the view has been removed from the screen

### beforeClose

    public void beforeClose(Project p)

  Description copied from interface: `ProjectPlugin`
  Called before the close operation for a project

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.